1. Customers
Rewrd API
  • Customers
    • Create a Customer
      POST
    • List Customers
      GET
    • Get a Customer by Plugin ID
      GET
    • Get a Customer
      GET
    • Update a Customer
      PUT
    • Restrict a Customer
      PATCH
    • Unrestrict a Customer
      PATCH
  • Merchant
    • Get Merchant Configuration
      GET
    • Update Merchant Configuration
      PATCH
    • List Earning Rules
      GET
    • Get Earning Rule Details
      GET
    • List Merchant IPs
      GET
    • Add Merchant IP
      POST
    • Update Merchant IP
      PATCH
    • Delete Merchant IP
      DELETE
    • Get Merchant Analytics
      GET
  • Points
    • Process a Unified Points Transaction
      POST
    • Get Customer Transaction History
      GET
  1. Customers

Update a Customer

Development Server
https://rewrd-api-staging.fly.dev/v1
Development Server
https://rewrd-api-staging.fly.dev/v1
PUT
/customers/{uid}
Updates the profile information of an existing customer. Only the fields provided in the request body are updated; omitted fields are left unchanged.
Note: The customer must have an active status to be updated. Restricted customers must be unrestricted first.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Customer updated successfully.
Bodyapplication/json

🟠401
🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://rewrd-api-staging.fly.dev/v1/customers/26833813' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "jane.new@example.com",
    "phone_number": "+2349087654321",
    "first_name": "Janet",
    "last_name": "Smith",
    "date_of_birth": "1995-06-15"
}'
Response Response Example
200 - Example 1
{
    "status": true,
    "message": "Customer updated successfully",
    "data": {
        "uid": "26833813",
        "email": "jane@example.com",
        "phone_number": "+2348012345678",
        "first_name": "Jane",
        "last_name": "Doe",
        "date_of_birth": "1995-06-15",
        "status": "active",
        "points_balance": 1500,
        "plugin_id": "shopify_customer_123",
        "plugin_source": "shopify",
        "created_at": "2026-01-15T10:30:00.000Z"
    }
}
Modified at 2026-07-02 14:01:00
Previous
Get a Customer
Next
Restrict a Customer
Built with